import { requestClient } from '#/api/request';

const prefix = 'sku/';
/**
 * 分页查询sku管理列表
 * @param data
 */
export async function getSkuListApi(data: any) {
  return requestClient.get<any>(`${prefix}list`, { params: data });
}

/**
 * 获取sku管理下拉列表
 */
export async function getSkuOptionApi() {
  return requestClient.get<any>(`${prefix}option`);
}

/**
 * 获取sku管理详情
 * @param id
 */
export async function getSkuInfoApi(id: number) {
  return requestClient.get<any>(`${prefix}detail`, { params: { id } });
}

/**
 * 新增sku管理
 * @param data
 */
export async function createSkuApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}create`, data);
}

/**
 * 编辑sku管理
 * @param data
 */
export async function updateSkuApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}update`, data);
}

/**
 * 删除sku管理
 * @param data
 */
export async function deleteSkuApi(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}delete`, data);
}
